package com.rjconsultores.ventaboletos.vo.caja;

import java.math.BigDecimal;
import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class CajaCerradoVO {

	private Long cajaId;
	private String numFolioSistema;
	private String origen;
	private String destino;
	private Integer corridaId;
	private BigDecimal precioPagado;
	private Date fecHorVenta;
	private BigDecimal importeTaxaEmbarque;
	private String ruta;
	private String numAutorizacion;
	private String ordenSevicio;
	private String secretaria;
	private String cvesecretaria;
	private String emissorTarjeta;
	private String tipoPasaje;
	private String formaPago;

	public CajaCerradoVO() {
		this.cajaId = new Long(-1);
		this.numFolioSistema = "";
		this.origen = "";
		this.destino = "";
		this.corridaId = new Integer(-1);
		this.precioPagado = new BigDecimal(0);
		this.fecHorVenta = new Date();
		this.importeTaxaEmbarque = new BigDecimal(0);
		this.ruta = "";
		this.numAutorizacion = "";
		this.ordenSevicio = "";
		this.secretaria = "";
		this.cvesecretaria = "";
		this.emissorTarjeta = "";
		this.tipoPasaje = "";
		this.formaPago = "";
	}

	public Long getCajaId() {
		return cajaId;
	}

	public void setCajaId(Long cajaId) {
		this.cajaId = cajaId;
	}

	public String getNumFolioSistema() {
		return numFolioSistema;
	}

	public void setNumFolioSistema(String numFolioSistema) {
		this.numFolioSistema = numFolioSistema;
	}

	public String getOrigen() {
		return origen;
	}

	public void setOrigen(String origen) {
		this.origen = origen;
	}

	public String getDestino() {
		return destino;
	}

	public void setDestino(String destino) {
		this.destino = destino;
	}

	public Integer getCorridaId() {
		return corridaId;
	}

	public void setCorridaId(Integer corridaId) {
		this.corridaId = corridaId;
	}

	public BigDecimal getPrecioPagado() {
		return precioPagado;
	}

	public void setPrecioPagado(BigDecimal precioPagado) {
		this.precioPagado = precioPagado;
	}

	public Date getFecHorVenta() {
		return fecHorVenta;
	}

	public void setFecHorVenta(Date fecHorVenta) {
		this.fecHorVenta = fecHorVenta;
	}

	public BigDecimal getImporteTaxaEmbarque() {
		return importeTaxaEmbarque;
	}

	public void setImporteTaxaEmbarque(BigDecimal importeTaxaEmbarque) {
		this.importeTaxaEmbarque = importeTaxaEmbarque;
	}

	public String getRuta() {
		return ruta;
	}

	public void setRuta(String ruta) {
		this.ruta = ruta;
	}

	public String getNumAutorizacion() {
		return numAutorizacion;
	}

	public void setNumAutorizacion(String numAutorizacion) {
		this.numAutorizacion = numAutorizacion;
	}

	public String getOrdenSevicio() {
		return ordenSevicio;
	}

	public void setOrdenSevicio(String ordenSevicio) {
		this.ordenSevicio = ordenSevicio;
	}

	public String getCodigoSecretaria() {
		return secretaria;
	}

	public void setCodigoSecretaria(String secretaria) {
		this.secretaria = secretaria;
	}
	
	public String getCvesecretaria() {
		return cvesecretaria;
	}

	public void setCvesecretaria(String cvesecretaria) {
		this.cvesecretaria = cvesecretaria;
	}

	public String getEmissorTarjeta() {
		return emissorTarjeta;
	}

	public void setEmissorTarjeta(String emissorTarjeta) {
		this.emissorTarjeta = emissorTarjeta;
	}

	public String getTipoPasaje() {
		return tipoPasaje;
	}

	public void setTipoPasaje(String tipoPasaje) {
		this.tipoPasaje = tipoPasaje;
	}

	public String getFormaPago() {
		return formaPago;
	}

	public void setFormaPago(String formaPago) {
		this.formaPago = formaPago;
	}
}
